'use server'

import { getPayload } from 'payload'
import config from '@/payload.config'

type Props = {
  password: string,
  confirmPassword: string,
  token: string
}
export const resetPassword = async (props: Props): Promise<boolean> => {
  const { password, confirmPassword, token } = props

  if (password !== confirmPassword) return false

  const payloadConfig = await config
  const payload = await getPayload({ config: payloadConfig })

  try {
    const result = await payload.resetPassword({
      collection: 'users',
      overrideAccess: false,
      data: {
        password: password,
        token: token,
      }
    })
    console.log('result')
    console.log(result)
    return true
  } catch (err) {
    console.log(err)
    return false
  }
}

export default resetPassword
